DiscountsSearch:
  post:
    tags:
      - discounts
    operationId: searchDiscounts
    summary: Search for objects of Discount
    description: Search for objects of Discount
    x-lg-handler: 'App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/discounts.yaml#/SearchDiscountsRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/discounts.yaml#/SearchDiscountsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
